Gentoo Archives: gentoo-releng-autobuilds

From: catalyst@×××××××××××××××××××.name
To: jmbsvicetto@×××××.com, gentoo-releng-autobuilds@l.g.o
Subject: [gentoo-releng-autobuilds] [amd64-auto] Catalyst fatal build error - hardened/stage3-selinux.spec
Date: Mon, 19 Oct 2015 22:54:09
Message-Id: 20151019225354.C8B78253AF@lantean.jmbsvicetto.name
* The following users have non-existent shells!
 * halt - /sbin/halt
 * shutdown - /sbin/shutdown
 * Messages for package dev-python/setuptools-12.0.1:
 * Could not find a UTF-8 locale. This may trigger build failures in
 * some python packages. Please ensure that a UTF-8 locale is listed in
 * /etc/locale.gen and run locale-gen.
 * Messages for package dev-python/ipy-0.82a:
 * Could not find a UTF-8 locale. This may trigger build failures in
 * some python packages. Please ensure that a UTF-8 locale is listed in
 * /etc/locale.gen and run locale-gen.
 * Messages for package dev-python/pyxattr-0.5.3:
 * Could not find a UTF-8 locale. This may trigger build failures in
 * some python packages. Please ensure that a UTF-8 locale is listed in
 * /etc/locale.gen and run locale-gen.
 * Messages for package sys-apps/less-478:
 * lesspipe offers colorization options.  Run 'lesspipe -h' for info.
 * Messages for package sys-libs/libselinux-2.4:
 * FAILED postinst: 1
 * ERROR: sys-libs/libselinux-2.4::gentoo failed (postinst phase):
 *   Failed to recompile contexts
 * 
 * Call stack:
 *     ebuild.sh, line  93:  Called pkg_postinst
 *   environment, line 2596:  Called die
 * The specific snippet of code:
 *               sefcontext_compile /etc/selinux/${POLTYPE}/contexts/files/${EXPRFILE} || die "Failed to recompile contexts";
 * 
 * If you need support, post the output of `emerge --info '=sys-libs/libselinux-2.4::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=sys-libs/libselinux-2.4::gentoo'`.
 * The complete build log is located at '/home/release/tmp/logs/sys-libs:libselinux-2.4:20151019-202817.log'.
 * For convenience, a symlink to the build log is located at '/var/tmp/portage/sys-libs/libselinux-2.4/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/sys-libs/libselinux-2.4/temp/environment'.
 * Working directory: '/var/tmp/portage/._portage_reinstall_.ejt9w87a/pym'
 * S: '/var/tmp/portage/sys-libs/libselinux-2.4/work/libselinux-2.4'
 * Messages for package sys-libs/glibc-2.20-r2:
 * Defaulting /etc/host.conf:multi to on
 * Generating all locales; edit /etc/locale.gen to save time/space
 * Messages for package sys-apps/coreutils-8.23:
 * Make sure you run 'hash -r' in your active shells.
 * You should also re-source your shell settings for LS_COLORS
 *   changes, such as: source /etc/profile
 * Messages for package sys-devel/gcc-4.9.3:
 * If you have issues with packages unable to locate libstdc++.la,
 * then try running 'fix_libtool_files.sh' on the old gcc versions.
 * You might want to review the GCC upgrade guide when moving between
 * major versions (like 4.2 to 4.3):
 * https://wiki.gentoo.org/wiki/Upgrading_GCC
 * Messages for package sys-process/audit-2.2.2-r2:
 * Unable to find kernel sources at /usr/src/linux
 * Unable to calculate Linux Kernel version for build, attempting to use running version
 * Messages for package sys-libs/pam-1.2.1:
 * Some software with pre-loaded PAM libraries might experience
 * warnings or failures related to missing symbols and/or versions
 * after any update. While unfortunate this is a limit of the
 * implementation of PAM and the software, and it requires you to
 * restart the software manually after the update.
 * 
 * You can get a list of such software running a command like
 *   lsof / | egrep -i 'del.*libpam\.so'
 * 
 * Alternatively, simply reboot your system.
 * Messages for package sys-apps/util-linux-2.26.2:
 * The mesg/wall/write tools have been disabled due to USE=-tty-helpers.
 * The agetty util now clears the terminal by default. You
 * might want to add --noclear to your /etc/inittab lines.
 * Messages for package sys-apps/busybox-1.23.1-r1:
 * Could not locate user configfile, so we will save a default one
 * You cannot have USE='static pam'.  Assuming static is more important.
 * Your configuration for sys-apps/busybox-1.23.1-r1 has been saved in 
 * /etc/portage/savedconfig/sys-apps/busybox-1.23.1-r1 for your editing pleasure.
 * You can edit these files by hand and remerge this package with
 * USE=savedconfig to customise the configuration.
 * You can rename this file/directory to one of the following for
 * its configuration to apply to multiple versions:
 * ${PORTAGE_CONFIGROOT}/etc/portage/savedconfig/
 * [${CTARGET}|${CHOST}|""]/${CATEGORY}/[${PF}|${P}|${PN}]
 * Messages for package net-misc/openssh-6.9_p1-r2:
 * Remember to merge your config files in /etc/ssh/ and then
 * reload sshd: '/etc/init.d/sshd reload'.
 * Note: openssh-6.7 versions no longer support USE=tcpd as upstream has
 *       dropped it.  Make sure to update any configs that you might have.
 * Messages for package sys-apps/policycoreutils-2.4-r2:
 * The selinux_gentoo init script has been removed in this version as it is not required after OpenRC 0.13.
 * Messages for package sys-fs/udev-216:
 * Unable to find kernel sources at /usr/src/linux
 * Unable to calculate Linux Kernel version for build, attempting to use running version
 * 
 * Starting from version >= 197 the new predictable network interface names are
 * used by default, see:
 * http://www.freedesktop.org/wiki/Software/systemd/PredictableNetworkInterfaceNames
 * http://cgit.freedesktop.org/systemd/systemd/tree/src/udev/udev-builtin-net_id.c
 * 
 * Example command to get the information for the new interface name before booting
 * (replace <ifname> with, for example, eth0):
 * # udevadm test-builtin net_id /sys/class/net/<ifname> 2> /dev/null
 * 
 * You can use either kernel parameter "net.ifnames=0", create empty
 * file /etc/systemd/network/99-default.link, or symlink it to /dev/null
 * to disable the feature.
 * 
 * You need to restart udev as soon as possible to make the upgrade go
 * into effect.
 * The method you use to do this depends on your init system.
 * 
 * For more information on udev on Gentoo, upgrading, writing udev rules, and
 * fixing known issues visit:
 * https://wiki.gentoo.org/wiki/Udev
 * https://wiki.gentoo.org/wiki/Udev/upgrade
 * Messages for package sys-apps/man-db-2.7.2:
 * Defaulting to USE=gdbm due to ambiguous berkdb/gdbm USE flag settings
 * Messages for package sys-apps/sysvinit-2.88-r7:
 * The last/lastb/mesg/mountpoint/sulogin/utmpdump/wall tools have been moved to
 * sys-apps/util-linux. The pidof tool has been moved to sys-process/procps.
 * Messages for package sys-apps/openrc-0.17:
 * Auto-adding 'termencoding' service to your boot runlevel
 * Auto-adding 'swapfiles' service to your boot runlevel
 * Auto-adding 'sysfs' service to your sysinit runlevel
 * Auto-adding 'tmpfiles.setup' service to your boot runlevel
 * Auto-adding 'loopback' service to your boot runlevel
 * Auto-adding 'tmpfiles.dev' service to your sysinit runlevel
 * Auto-adding 'binfmt' service to your boot runlevel
 * In this version of OpenRC, the loopback interface no longer
 * satisfies the net virtual.
 * If you have services now which do not start because of this,
 * They can be fixed by adding rc_need="!net"
 * to the /etc/conf.d/<servicename> file.
 * You should also file a bug against the service asking that
 * need net be dropped from the dependencies.
 * The bug you file should block the following tracker:
 * https://bugs.gentoo.org/show_bug.cgi?id=439092
 * 
 * Bug https://bugs.gentoo.org/show_bug.cgi?id=427996 was not
 * fixed correctly in earlier versions of OpenRC.
 * The correct fix is implemented in this version, but that
 * means netmount needs to be added to the default runlevel if
 * you are using nfs file systems.
 * 
 * You should now update all files in /etc, using etc-update
 * or equivalent before restarting any services or this host.
 * Messages for package net-misc/netifrc-0.2.2:
 * The network configuration scripts will use dhcp by
 * default to set up your interfaces.
 * If you need to set up something more complete, see
 * //usr/share/doc/netifrc-0.2.2/README
 * Messages for package dev-libs/glib-2.44.1:
 * Unable to find kernel sources at /usr/src/linux
 * Unable to calculate Linux Kernel version for build, attempting to use running version













































!!! catalyst: cmd() NON-zero return value from: run script failed.


!!! catalyst: Stage build aborting due to error.

--- Exeption running action sequence:run_local
!!! catalyst: Error encountered during run of target stage3



Full build log at /home/release/tmp/run/catalyst-auto.tYPSbK/log/hardened_stage3-selinux.log